Reference record for OID 1.3.6.1.1.2

Parent
1.3.6.1.1 (directory, ldap-dir)
Node code
2
Node names
  • nameForm
  • NameForm
Numeric OID
1.3.6.1.1.2
URN notation
urn:oid:1.3.6.1.1.2
ASN.1 notation

{1 3 6 1 1 2}

  • {iso(1) identified-organization(3) dod(6) internet(1) directory(1) nameForm(2)}
  • {iso(1) identified-organization(3) dod(6) internet(1) ldap-dir(1) nameForm(2)}
  • {iso(1) org(3) dod(6) internet(1) directory(1) nameForm(2)}
  • {iso(1) org(3) dod(6) internet(1) ldap-dir(1) nameForm(2)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) directory(1) nameForm(2)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) ldap-dir(1) nameForm(2)}
  • {iso(1) iso-organization(3) dod(6) internet(1) directory(1) nameForm(2)}
  • {iso(1) iso-organization(3) dod(6) internet(1) ldap-dir(1) nameForm(2)}
OID-IRI notation
  • /1/3/6/1/1/2
  • /ISO/Identified-Organization/6/1/1/2
  • /ISO/3/6/1/1/2
Named path variants
  • /iso/identified-organization/dod/internet/directory/nameForm
  • /iso/identified-organization/dod/internet/directory/NameForm
  • /iso/identified-organization/dod/internet/ldap-dir/nameForm
  • /iso/identified-organization/dod/internet/ldap-dir/NameForm
  • /iso/org/dod/internet/directory/nameForm
  • /iso/org/dod/internet/directory/NameForm
  • /iso/org/dod/internet/ldap-dir/nameForm
  • /iso/org/dod/internet/ldap-dir/NameForm
  • /iso/iso-identified-organization/dod/internet/directory/nameForm
  • /iso/iso-identified-organization/dod/internet/directory/NameForm
  • /iso/iso-identified-organization/dod/internet/ldap-dir/nameForm
  • /iso/iso-identified-organization/dod/internet/ldap-dir/NameForm
  • /iso/iso-organization/dod/internet/directory/nameForm
  • /iso/iso-organization/dod/internet/directory/NameForm
  • /iso/iso-organization/dod/internet/ldap-dir/nameForm
  • /iso/iso-organization/dod/internet/ldap-dir/NameForm

Descriptions

Descriptions may differ between sources. The primary description is shown first.

Primary description: OID Repository

Naming Plan
View at oid-base.com
Defined in IETF RFC 2377.

Described in Harald Alvestrand's OID repository as:
-----
Superior for RFC 2307 attributes and classes.
This is the directory structure that has been designed by Rohan Pinto for Sun Microsystems for inclusion with Solaris 9.
It should be regarded as Experimental/Commercial and an extension of the Directory Services, Network Information Services +, Manager as detailed originally in NSF 93-52, leading to the building of next generation Internet Services. Further clarification on c=US dual DIT for X.500 directory may be necessary due to EMA activity and Piloting directly with the U.S. government to maintain the stability of the core OSI structure for DMS, and other priorities, beyond the experimental and research activities envisioned under next generation services.
The OIDs defined here are globally used in all NIS+ to LDAP migration projects.
-----

NameForm — IANA LDAP Parameters

Naming Plan

Source records

First Registration Authority (inferred from ancestor 1.3.6)

Defense Communication Agency

Current Registration Authority (inferred from ancestor 1.3.6)

US DoD

Direct children (5)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.1.2.1 domainNameForm2626 nisPlusSchema Attribute definitions
1.3.6.1.1.2.2 dcOrganizationNameForm00 "nisPlusSchema" object classes
1.3.6.1.1.2.3 dcOrganizationalUnitNameForm00
1.3.6.1.1.2.4 dcLocalityNameForm00
1.3.6.1.1.2.5 uidOrganizationalPersonNameForm00

Siblings (23)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.1.0 reserved00 Reserved for future use
1.3.6.1.1.1 nisSchema465 Network Info Service Schema (for IETF RFC 2307 attributes and classes)
1.3.6.1.1.3 auxObject, AuxObject22 Auxiliary Object Class
1.3.6.1.1.4 vendorName00 Vendor Name
1.3.6.1.1.5 vendorVersion00 Vendor Version
1.3.6.1.1.6 pcimSchema262 Policy Core Information Model LDAP Schema
1.3.6.1.1.7 lcup, LCUP33 Lighweight Directory Access Protocol (LDAP) Client Update Protocol (LCUP)
1.3.6.1.1.8 cancelOp, LDAP_EXOP_CANCEL, LDAP_EXOP_X_CANCEL00 Lightweight Directory Access Protocol (LDAP) Cancel Operation
1.3.6.1.1.9 pcelsSchema2121 Policy Core Extension Lightweight-Directory-Access-Protocol Schema (PCELS)
1.3.6.1.1.10 uddi369 Universal Description, Discovery & Integration
1.3.6.1.1.11 vPIM213 Voice Messaging Directory Service
1.3.6.1.1.12 assertion, LDAP_CONTROL_ASSERT00 Assertion control
1.3.6.1.1.13 readEntry, ReadEntry22 Read entry controls
1.3.6.1.1.14 increment, LDAP_FEATURE_MODIFY_INCREMENT00 Lightweight Directory Access Protocol (LDAP) Modify-Increment
1.3.6.1.1.15 x509, id-ldx, ldap-x50977 Lightweight Directory Access Protocol (LDAP) attribute syntaxes (defined in IETF RFC 4523) for complex attribute types defined …
1.3.6.1.1.16 uuid44 entryUUID
1.3.6.1.1.17 lburp, LBURP77 Lightweight Directory Access Protocol (LDAP) Bulk Update/ Replication Protocol (LBURP)
1.3.6.1.1.18 ldap, ASN1 module00 ASN.1 module named Lightweight-Directory-Access-Protocol-V3
1.3.6.1.1.19 turnValue, turn, LDAP_EXOP_TURN, LDAP_EXOP_X_TURN00 Turn LDAP-Extended Operation
1.3.6.1.1.20 entryDN00 Lightweight Directory Access Protocol (LDAP) entryDN operational attribute
1.3.6.1.1.21 txn44 Lightweight Directory Access Protocol (LDAP) transactions
1.3.6.1.1.22 dontUseCopy, LDAP_CONTROL_DONTUSECOPY00 Don't Use Copy Control
1.3.6.1.1.23 xmpp22